Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.plugins.binaries.model
[Java] Interface HeaderExportingSourceSet

    org.gradle.api.tasks.SourceSet
      org.gradle.plugins.binaries.model.HeaderExportingSourceSet

All Superinterfaces:
  SourceSet

    public interface HeaderExportingSourceSet
    extends SourceSet

A source set that exposes headers

Field Summary

Fields inherited from interface SourceSet
MAIN_SOURCE_SET_NAME, TEST_SOURCE_SET_NAME

Method Summary
`SourceDirectorySet` | `getExportedHeaders()`

Methods inherited from interface SourceSet
compiledBy, getAllJava, getAllSource, getClassesTaskName, getCompileClasspath, getCompileConfigurationName, getCompileJavaTaskName, getCompileTaskName, getJava, getName, getOutput, getProcessResourcesTaskName, getResources, getRuntimeClasspath, getRuntimeConfigurationName, getTaskName, java, resources, setCompileClasspath, setRuntimeClasspath

Method Detail

### getExportedHeaders

    public SourceDirectorySet getExportedHeaders()

Gradle API 1.1-rc-1